pinzaFasciati = {};
function pinzaFasciati.prerequisitesPresent(specializations) return true; end;
function pinzaFasciati:load(xmlFile) 
	self.baleRoundYSilageFrame = Utils.getFilename("image/baleRoundYSilage.dds", self.baseDirectory);
	self.baleRoundYSilageF = Overlay:new("baleRoundYSilageF", self.baleRoundNSilageFrame, 0.96, 0.06, 0.04, 0.085); 
	self.tubiIdraulici = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.tubiIdraulici#index"));
	self.tubiIdrauliciA = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.tubiIdraulici#indexA"));
	self.tuboSupporto = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.tuboSupporto#index")); end;
function pinzaFasciati:delete() end;
function pinzaFasciati:mouseEvent(posX, posY, isDown, isUp, button) end;
function pinzaFasciati:keyEvent(unicode, sym, modifier, isDown) end;
function pinzaFasciati:update(dt) end;
function pinzaFasciati:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;
function pinzaFasciati:getSaveAttributesAndNodes(nodeIdent) end;
function pinzaFasciati:updateTick(dt) end;
function pinzaFasciati:draw() self.baleRoundYSilageF:render(); end;
function pinzaFasciati:onAttach(attacherVehicle, jointDescIndex) setVisibility(self.tubiIdraulici, false); setVisibility(self.tubiIdrauliciA, true); setVisibility(self.tuboSupporto, false); end;
function pinzaFasciati:onDetach() setVisibility(self.tubiIdraulici, true); setVisibility(self.tubiIdrauliciA, false); setVisibility(self.tuboSupporto, true); end;
function pinzaFasciati:onDeactivate() end;